QGIS Application - Bug report #5220
Query builder uses strings as humbers?
2012-03-22 02:31 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:1.7.4 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 14956
Description

| just noticed in qgis 1.7.4 and master that if | build a query like "DISTRITO" > 'FARO' or "NUM_F" > '175' (where "NUM_F" is a string
column) that (to me) should make any sense and then return an error, instead returns "The where clause returned xxx row(s).". Is this on
purpose or is a bug? If is a feature, what is the meaning?

Tested on 1.7.4 and master

History

#1 - 2012-03-22 02:53 PM - Jiirgen Fischer

Do you mean "shouldn't make any sense"? But even then | don't understand what the problem with "NUM_F" > '175' is - please elaborate. > is also defined

for strings.

#2 - 2012-03-23 02:17 AM - Giovanni Manghi

Hi Jurgen, thanks for the feedback.

Jurgen Fischer wrote:

Do you mean "shouldn't make any sense"?

yes sorry

But even then | don't understand what the problem with "NUM_F" > '175' is - please elaborate.

| didn't expected to have operators like > to work with strings.

> is also defined for strings.

How > works for strings?

#3 - 2012-03-24 03:26 AM - Jurgen Fischer

Giovanni Manghi wrote:
How > works for strings?

Um, isn't that obvious? E.g. in an ordered list of (unique) names each entry is than the next and > than the previous one.

#4 - 2012-03-24 03:29 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

#5 - 2012-03-24 03:32 AM - Giovanni Manghi

Jurgen Fischer wrote:

Giovanni Manghi wrote:

How > works for strings?

Um, isn't that obvious?

frankly? :) no... from a user point of view it wasn't that obvious, but after a few tests | got it. | didn't had the time yet to check if is documented, we would

need eventually to add a note in the manual. Sorry for bugging.

#6 - 2012-04-15 10:01 AM - Giovanni Manghi
- Target version changed from 35 to Version 1.8.0
